package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.UmsMemberPlatform;
import com.hwrj.cloud.portal.model.UmsMemberPlatformExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsMemberPlatformMapper {
    long countByExample(UmsMemberPlatformExample example);

    int deleteByExample(UmsMemberPlatformExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsMemberPlatform record);

    int insertSelective(UmsMemberPlatform record);

    List<UmsMemberPlatform> selectByExample(UmsMemberPlatformExample example);

    UmsMemberPlatform selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsMemberPlatform record, @Param("example") UmsMemberPlatformExample example);

    int updateByExample(@Param("record") UmsMemberPlatform record, @Param("example") UmsMemberPlatformExample example);

    int updateByPrimaryKeySelective(UmsMemberPlatform record);

    int updateByPrimaryKey(UmsMemberPlatform record);
}